Subject: Protocol Action: 'PCEP Extension for Flow Specification' to Proposed Standard (draft-ietf-pce-pcep-flowspec-12.txt)

From: The IESG <[email-masked]>
Date: Mon, 02 Nov 2020 10:24:20 -0800

The IESG has approved the following document:
- 'PCEP Extension for Flow Specification'
  (draft-ietf-pce-pcep-flowspec-12.txt) as Proposed Standard

This document is the product of the Path Computation Element Working Group.

The IESG contact persons are Alvaro Retana, Martin Vigoureux and Deborah
Brungard.

A URL of this Internet Draft is:
https://datatracker.ietf.org/doc/draft-ietf-pce-pcep-flowspec/

Technical Summary

The Path Computation Element (PCE) is a functional component capable
of selecting paths through a traffic engineering network.  These
paths may be supplied in response to requests for computation, or may
be unsolicited instructions issued by the PCE to network elements.
Both approaches use the PCE Communication Protocol (PCEP) to convey
the details of the computed path.

This document specifies a set of extensions to PCEP to support
dissemination of Flow Specifications.  This allows a PCE to indicate
what traffic should be placed on each path.

Working Group Summary

No issues. A post-LC comment pointed out a new requirement to be addressed
by this extension. The I-D was updated to cover that feature by adding a flag,
there was consensus for it.

Document Quality

As mentioned in the implementation section: "It is believed that two vendors are
considering prototype implementations, but these plans are too vague to make
any further assertions."
Have a significant number of vendors indicated their plan to implement the
specification? At least 2.
Are there any reviewers that merit special mention as having done a thorough review, e.g.,
one that resulted in important changes or a conclusion that the document had no
substantive issues?
Vishnu Pavan Beeram raised the comment that triggered the latest changes (-10).

 Personnel

 Who is the Document Shepherd for this document? Julien Meuric
 Who is the Responsible Area Director? Deborah Brungard